My activities New request

contact atmail support

PH: +61 (7) 5357-6605

support@atmail.com

Follow

atmail ActiveSync 2.3.6 Installation Guide

Stewart -

PROBLEM

I need to install atmail ActiveSync.

ENVIRONMENT

  • On-Premise Server + WebMail Installations: Version 7.8.0.2+
  • Webmail Only Installations: Version 7.8.0.2+

CAUSE

ActiveSync requirement.

RESOLUTION

Since atmail 7.4, atmail requires an extra package for ActiveSync. With the release of atmail 7.8.0.2+, a newer version of atmail ActiveSync is also available. This package is available for download via the "Downloads" section of your Atmail Customer Portal.

Requirements

  • atmail 7.8.0.2
  • apache 2.4 only
  • POSIX (php-process) Extension for PHP
  • atmail 7.8.0.2+ must be already installed
  • Valid license to use ActiveSync with atmail
  • Operating System

    Since Atmail ActiveSync is based on PHP, it can be ported into any platform that supports and/or compiles PHP. Currently, Atmail supports the following environments:

    • Redhat Enterprise 7.x only
    • CentOS 7.x only

How to install

Download

You will first need to download the atmail ActiveSync package from within your Atmail Customer Portal. Login at https://atmail.com/portal2/ and go to the "Downloads" page. Here you will find a link to download the Atmail ActiveSync package.

Note: The atmail ActiveSync download will only be shown in your atmail Customer Portal if your license allows the use of ActiveSync.

Installation

  1. Create /usr/share/push/ directory.

    mkdir /usr/share/push
  2. Place the downloaded file any where on your server and extract as follows.

    tar xfvz atmail7.push.xxx.tgz -C /usr/share/push/
    Change the file name to match the file you downloaded. Each customer will be provided with a unique file name.
  3. Run atmail ActiveSync installation.

    cd /usr/share/push
    php /usr/share/push/install.php

Troubleshooting

Apache 2.4.X

With Apache 2.4.X, you may have a 403 forbiden error. To resolve, you need to add the following into your Apache configuration file.

<Directory /usr/share/push>
Require all granted
</Directory>

Tested Devices

Atmail ActiveSync 2.3.6 has been tested and confirmed working with the following devices, using the default mail applications available on them. Alternate devices that support ActiveSync should work without issue, however untested.

  • Samsung Galaxy s5 with Android 6.0.1
  • Samsung Galaxy s7 Edge with Android 6.0.1
  • Samsung Galaxy s7 Edge with Android 7.0
  • Samsung Galaxy Tab 3 with Android 4.4.2
  • LG Nexus 5 with Android 6.0.1
  • Apple iPhone 6 with iOS 9.3.4
  • Apple iPod 2 with iOS 6.1.6 (10B500) (Notes: Does not support unicode/utf8 characters)
  • Nokia Lumia 635 with Windows OS 8.10.12397.895 [CYAN]

Tested operating systems

  • Centos 7.3.1611 / Apache 2.4; extra dependency installation - php-process.

Known issues

If an account is setup with the Android native app the events do not sync from device to server, when the webmail event timezone is set to "none", the event will be displayed in the webmail as per the timezone settings defined in php.ini.

The php.ini TZ settings are also used when sending the updates to device if no timezone is specified events are stored in GMT and rely on the device converting into local time.

Hardening SMTP

/usr/share/push/backend/imap/config.php; Change 'verify_peer', 'verify_peer_name' and 'allow_self_signed' to TRUE, TRUE and FALSE respectively.

Have more questions? Submit a request

Comments